This is a patch against:
http://www.xen.org/files/xva/xva.py

--- xva.py.orig	2011-02-25 16:36:01.000000000 +0000
+++ xva.py	2012-08-29 19:46:06.000000000 +0100
@@ -151,6 +151,7 @@
         xml_objects['PV_kernel'] = config_members[28].find("value")
         xml_objects['PV_ramdisk'] = config_members[29].find("value")
         xml_objects['PV_args'] = config_members[30].find("value")
+        xml_objects['PV_bootloader_args'] = config_members[31].find("value")
         xml_objects['memory_static_max'] = config_members[12].find("value")
         xml_objects['memory_dynamic_max'] = config_members[13].find("value")
         xml_objects['memory_dynamic_min'] = config_members[14].find("value")
@@ -236,7 +237,9 @@
         if not self.xml_objects['PV_args'].text: self.xml_objects['PV_args'].text = ""
         self.xml_objects['PV_args'].text = self.xml_objects['PV_args'].text + " " + value
 
- 
+    def set_bootloader_args(self, value):
+        self.xml_objects['PV_bootloader_args'].text = value
+
 
 
     def set_nx(self, value):
@@ -700,6 +703,7 @@
     params.add_option("-k", "--kernel",  dest="kernel", default=None,   help="Supply VM kernel KERNEL", metavar="KERNEL")
     params.add_option("-r", "--ramdisk",  dest="ramdisk", default=None,   help="Supply VM ramdisk RAMDISK", metavar="RAMDISK")
     params.add_option("-a", "--args",  dest="args", default=None,   help="Supply VM kernel arguments ARGUMENTS", metavar="ARGUMENTS")
+    params.add_option("-b", "--bootloaderargs",  dest="bootloaderargs", default=None,   help="Supply bootloader arguments BOOTARGUMENTS", metavar="BOOTARGUMENTS")
     parser.add_option_group(params)
 
     output_options = OptionGroup(parser, "Output Options", "These are the options that dictates where the VM should be saved or streamed to a server. You can either save to a file or stream to a server, not both. "
@@ -753,6 +757,8 @@
         elif params.has_key('ramdisk'):
             if not machine.set_local_ramdisk(params['ramdisk']): parser.error("Error with ramdisk")
 
+        if params.has_key('bootloaderargs'): machine.set_bootloader_args(params['bootloaderargs'])
+
         if params.has_key('root'):
             machine.append_args("root=%s" % params['root'])
 
@@ -812,6 +818,7 @@
             machine.is_pv()
 
         machine.set_name(options.name)
+        machine.set_bootloader_args(options.bootloaderargs)
         machine.set_vcpus(options.vcpus)
         machine.set_acpi(not options.noacpi)
         machine.set_apic(not options.noapic)
